__author__ = 'tomaton'
import json
import matplotlib.pyplot as plt
from pyfmi import load_fmu

import numpy as N

#load data into "data" structure
json_data = open('sample.dat')

data = json.load(json_data)
json_data.close()

#run simulation

#Load the FMU
model = load_fmu('DvaBalony2_DvaBalonyFlat.fmu')
inputobj2 = N.transpose(N.vstack((data['time'],data['time'])))
inputobj = ('time',inputobj2)

#Simulate an FMU
opts = model.simulate_options()
opts["ncp"] = 100 #One hundred output points
res = model.simulate(final_time=10,options=opts)
v1res=0.0
v2res=0.0
#compare res and data
v1res = (res['V1']-data['V1'])**2
v2res = (res['V2']-data['V2'])**2
v1sum = sum(v1res)
v2sum = sum(v2res)
print v1sum
print v2sum
plt.figure()
plt.plot(res['time'],res['V1'])
plt.plot(res['time'],data['V1'])
plt.show()


